pub mod matrix;
pub mod ui;

use eframe::NativeOptions;

#[cfg(not(target_arch = "wasm32"))]
fn main() {
    let app = ui::App::default();
    let options = NativeOptions::default();
    eframe::run_native(Box::new(app), options);
}

/*#[derive(Clone, Debug, Default)]
struct Login {
    username: String,
    password: String,
}

impl epi::App for Login {
    fn name(&self) -> &str {
        "retrix"
    }

    fn update(&mut self, ctx: &egui::CtxRef, _frame: &mut epi::Frame<'_>) {
        egui::CentralPanel::default().show(ctx, |ui| {
            ui.style_mut().body_text_style = egui::TextStyle::Button;
            ui.add_space(ui.available_height() / 3.0);
            ui.vertical_centered(|ui| {
                //ui.style_mut() .visuals .widgets .noninteractive .bg_stroke .color = egui::Color32::TRANSPARENT;
                ui.group(|ui| {
                    //ui.reset_style();
                    ui.set_max_width(300.0);
                    ui.vertical(|ui| {
                        ui.heading("Test");
                        ui.label("Username");
                        ui.text_edit_singleline(&mut self.username);
                        ui.label("Password:");
                        ui.text_edit_singleline(&mut self.password);
                    })
                })
            });
            /*let mut ui = ui.child_ui(
                egui::Rect::from_center_size(
                    (ui.available_width() / 2.0, ui.available_height() / 2.0).into(),
                    (300.0, 500.0).into(),
                ),
                egui::Layout::top_down(egui::Align::Min),
            );
            ui.heading("Test");
            ui.label("Username");
            ui.text_edit_singleline(&mut self.username);
            ui.label("Password:");
            ui.text_edit_singleline(&mut self.password);*/
        });
    }
}*/
